module C80RefinePrice
  module Inner
    module FormsHelper

      def _render_full_contact_form(params={})

        # params: {
        #           "item_id"=>"67",
        #           "item_title"=>"Газобетонный стеновой блок YTONG, D400, 625*250*375мм",
        #           "item_url"=>"/stroitelnye-materialy/gazobetonnye-bloki/67",
        #           "controller"=>"c80_refine_price/application",
        #           "action"=>"refine_price_popup"
        # }

        settings = {
            :item_id => '',
            :item_title => '',
            :item_url => ''
        }

        se = settings.merge(params.deep_symbolize_keys)

        # note-predefined-text: собственно, сам текст, вставляемый в форму, прежде чем она будет показана пользователю
        se[:comment_value] = "Товар: #{se[:item_title]}, кол-во: "

        render :partial => 'c80_refine_price/shared/inner/forms/full_contact_form',
               :locals => {
                   rpmessage: Rpmessage.new,
                   settings: se
               }
      end

    end
  end
end