ActiveAdmin.register C80RefinePrice::RpProp, as: 'RpProp' do

  menu :parent => 'Сообщения',
       :label => 'Уточнить цену (настройки)',
       :priority => 202

  permit_params :yandex_metrika_counter_id,
                :yandex_metrika_target_id

  batch_action :destroy, false

  before_filter :skip_sidebar!, :only => :index

  index do
    selectable_column
    column :yandex_metrika_counter_id
    column :yandex_metrika_target_id
    actions
  end

  form(:html => {:multipart => true}) do |f|

    f.inputs 'Свойства' do
      f.input :yandex_metrika_counter_id
      f.input :yandex_metrika_target_id
    end

    f.actions
  end

end