module C80RefinePrice
  class MessagesController < ActionController::Base

    protect_from_forgery with: :exception

    # на этот скрипт уходят все сообщения с форм обратной связи, затем отправляется почта владельцу сайта
    def refine_price_message

      m = Rpmessage.new(rpmessage_params)

      respond_to do |format|

        if m.save

          format.js
          RefinePriceMailer.send_email(m, 'Уточнить цену').deliver
        else
          Rails.logger.debug "[TRACE] <MessagesController.refine_price_message> errors: #{m.errors}"
          format.js { render json: m.errors, status: :unprocessable_entity }
        end

      end

    end

    def rpmessage_params
      params.require(:rpmessage).permit(:name, :email_or_phone, :kapcha, :comment, :item_url)
    end

  end
end