module C80RefinePrice
  class RefinePriceMailer < ActionMailer::Base

    default from: Proc.new { SiteProp.first.mail_from },
            to: Proc.new { SiteProp.first.mail_to }

    def send_email(message, subject)
      @message = format_message(message)

      puts '<RefinePriceMailer.send_mess> Отправляем сообщение.'
      mail(subject: subject) do |format|
        format.html { render 'mail_letter' }
      end

      #puts "#{SiteProps.first.mail_to}"
    end

    private

    def format_message(message)
      result = "<br> • Имя: #{message.name}"
      result += "<br> • Email: #{message.email_or_phone}"
      result += "<br> • Ссылка: #{message.item_url}"
      result += "<br><br> #{message.comment}"
      Rails.logger.debug "<RefinePriceMailer.format_message> result: #{result}"
      result
    end

  end
end

